Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.sld
Interface ExternalGraphic

All Superinterfaces:
  ExternalGraphicOrMark

    @XmlElement(value="ExternalGraphic")
    public interface ExternalGraphic

extends ExternalGraphicOrMark

Points to an external file that contains an image of some kind, such as a CGM, JPG, or SVG.

Since:
  GeoAPI 2.0
Version:
  Implementation specification 1.0

Method Summary
`String` | `getFormat()` Returns the format that the image should be parsed as.
`byte[]` | `getInlineContent()` Returns the array of bytes that comprise the image.
`String` | `getOnlineResource()` Returns a URL to a file (perhaps a local file) that contains an image.
`void` | `setFormat(String format)` Sets the format that the image should be parsed as.
`void` | `setInlineContent(byte[] content)` Sets the array of bytes that comprise the image.
`void` | `setOnlineResource(String url)` Sets the URL to a file (perhaps a local file) that contains an image.

Methods inherited from interface ExternalGraphicOrMark
`accept`

Method Detail

### getOnlineResource

    @XmlElement(value="OnlineResource")
    String getOnlineResource()

  Returns a URL to a file (perhaps a local file) that contains an image. This can be null if the image is already loaded locally and the `InlineContent` property is set.

### setOnlineResource

    @XmlElement(value="OnlineResource")
    void setOnlineResource(String url)

  Sets the URL to a file (perhaps a local file) that contains an image. See `getOnlineResource()` for details.

### getInlineContent

    byte[] getInlineContent()

  Returns the array of bytes that comprise the image. This overrides the `OnlineResource` property, if it is set.

### setInlineContent

    void setInlineContent(byte[] content)

  Sets the array of bytes that comprise the image. See `getInlineContent()` for details.

### getFormat

    String getFormat()

  Returns the format that the image should be parsed as. This can be null if the rendering engine should attempt to guess the format of the file, perhaps based on its name. The format string is a mime type, such as "image/jpeg".

### setFormat

    void setFormat(String format)

  Sets the format that the image should be parsed as. See `getFormat()` for details.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.